FROM debian
RUN ["apt","update","--fix-missing"]
RUN ["apt","install","-y","git","python3","python3-pip","python3-virtualenv","sqlite3","postgresql"]
RUN ["virtualenv","/usr/local"]
RUN ["/usr/local/bin/pip3","install","--upgrade","pip","xlsxwriter","openpyxl","pyncclient"]
RUN ["/usr/local/bin/pip3","install","qcms@git+https://dev.the-phi.com/git/qcms/cms"]
RUN ["/usr/local/bin/pip3","install","smart-logger@git+https://dev.the-phi.com/git/library/smart-top"]

RUN ["git","clone","https://dev.the-phi.com/git/data-transport/studio","/data-bridge"]
EXPOSE 8082
ENV PATH=/usr/local/bin:$PATH
ENTRYPOINT ["qcms","bootup"]
# RUN ["echo","'qcms bootup /data-bridge'",">","bootup.sh"]
CMD ["/data-bridge"]